/*
 * flash_control.h - libflashcontrol base class
 *
 * Copyright 2017 Sony Coporation
 */


#ifndef __FLASH_CONTROL_H_
#define __FLASH_CONTROL_H_

#include <stdint.h>		// uint8_t

class FlashControl {

	public:
		FlashControl();
		~FlashControl();

		int  getJedecId( uint32_t* const m_id, uint32_t* const d_id );
		int  setCommand( const uint8_t cmd );
		int  getData( const uint32_t addr );
		int  getStatus( const uint8_t cmd, uint32_t* status );
		int  setStatus( const uint8_t cmd, const uint32_t& status );
		int  spiOpen( void );
		void spiClose( void );

	private:
		int m_File;
};

#endif // __FLASH_CONTROL_H_

